# coding: utf-8

"""
    VMware Aria Automation Assembler / CMX Service API

    When using Kubernetes integration, deploy and manage Kubernetes clusters and namespaces. The APIs that list collections of resources also support OData like implementation. Below query params can be used across CMX entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/cmx/api/resources/tags?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/cmx/api/resources/tags?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/cmx/api/resources/tags?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /cmx/api/resources/tags?$filter=startswith(name, 'K8S')   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class BlueprintBlueprintproviderrequestBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'action_input_properties': 'dict(str, object)',
        'action_name': 'str',
        'allocation_resource': 'dict(str, object)',
        'callback_url': 'str',
        'deployment_id': 'str',
        'deployment_name': 'str',
        'operation': 'str',
        'operation_timeout_seconds': 'int',
        'project_id': 'str',
        'request_id': 'str',
        'resource_link': 'str',
        'resource_modified_properties': 'dict(str, object)',
        'resource_name': 'str',
        'resource_properties': 'dict(str, object)',
        'resource_request_id': 'str',
        'resource_type': 'str',
        'tenant_links': 'list[str]'
    }

    attribute_map = {
        'action_input_properties': 'actionInputProperties',
        'action_name': 'actionName',
        'allocation_resource': 'allocationResource',
        'callback_url': 'callbackUrl',
        'deployment_id': 'deploymentId',
        'deployment_name': 'deploymentName',
        'operation': 'operation',
        'operation_timeout_seconds': 'operationTimeoutSeconds',
        'project_id': 'projectId',
        'request_id': 'requestId',
        'resource_link': 'resourceLink',
        'resource_modified_properties': 'resourceModifiedProperties',
        'resource_name': 'resourceName',
        'resource_properties': 'resourceProperties',
        'resource_request_id': 'resourceRequestId',
        'resource_type': 'resourceType',
        'tenant_links': 'tenantLinks'
    }

    def __init__(self, action_input_properties=None, action_name=None, allocation_resource=None, callback_url=None, deployment_id=None, deployment_name=None, operation=None, operation_timeout_seconds=None, project_id=None, request_id=None, resource_link=None, resource_modified_properties=None, resource_name=None, resource_properties=None, resource_request_id=None, resource_type=None, tenant_links=None):  # noqa: E501
        """BlueprintBlueprintproviderrequestBody - a model defined in Swagger"""  # noqa: E501
        self._action_input_properties = None
        self._action_name = None
        self._allocation_resource = None
        self._callback_url = None
        self._deployment_id = None
        self._deployment_name = None
        self._operation = None
        self._operation_timeout_seconds = None
        self._project_id = None
        self._request_id = None
        self._resource_link = None
        self._resource_modified_properties = None
        self._resource_name = None
        self._resource_properties = None
        self._resource_request_id = None
        self._resource_type = None
        self._tenant_links = None
        self.discriminator = None
        if action_input_properties is not None:
            self.action_input_properties = action_input_properties
        if action_name is not None:
            self.action_name = action_name
        if allocation_resource is not None:
            self.allocation_resource = allocation_resource
        if callback_url is not None:
            self.callback_url = callback_url
        if deployment_id is not None:
            self.deployment_id = deployment_id
        if deployment_name is not None:
            self.deployment_name = deployment_name
        if operation is not None:
            self.operation = operation
        if operation_timeout_seconds is not None:
            self.operation_timeout_seconds = operation_timeout_seconds
        if project_id is not None:
            self.project_id = project_id
        if request_id is not None:
            self.request_id = request_id
        if resource_link is not None:
            self.resource_link = resource_link
        if resource_modified_properties is not None:
            self.resource_modified_properties = resource_modified_properties
        if resource_name is not None:
            self.resource_name = resource_name
        if resource_properties is not None:
            self.resource_properties = resource_properties
        if resource_request_id is not None:
            self.resource_request_id = resource_request_id
        if resource_type is not None:
            self.resource_type = resource_type
        if tenant_links is not None:
            self.tenant_links = tenant_links

    @property
    def action_input_properties(self):
        """Gets the action_input_properties of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The action_input_properties of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: dict(str, object)
        """
        return self._action_input_properties

    @action_input_properties.setter
    def action_input_properties(self, action_input_properties):
        """Sets the action_input_properties of this BlueprintBlueprintproviderrequestBody.


        :param action_input_properties: The action_input_properties of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: dict(str, object)
        """

        self._action_input_properties = action_input_properties

    @property
    def action_name(self):
        """Gets the action_name of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The action_name of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._action_name

    @action_name.setter
    def action_name(self, action_name):
        """Sets the action_name of this BlueprintBlueprintproviderrequestBody.


        :param action_name: The action_name of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._action_name = action_name

    @property
    def allocation_resource(self):
        """Gets the allocation_resource of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The allocation_resource of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: dict(str, object)
        """
        return self._allocation_resource

    @allocation_resource.setter
    def allocation_resource(self, allocation_resource):
        """Sets the allocation_resource of this BlueprintBlueprintproviderrequestBody.


        :param allocation_resource: The allocation_resource of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: dict(str, object)
        """

        self._allocation_resource = allocation_resource

    @property
    def callback_url(self):
        """Gets the callback_url of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The callback_url of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._callback_url

    @callback_url.setter
    def callback_url(self, callback_url):
        """Sets the callback_url of this BlueprintBlueprintproviderrequestBody.


        :param callback_url: The callback_url of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._callback_url = callback_url

    @property
    def deployment_id(self):
        """Gets the deployment_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The deployment_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._deployment_id

    @deployment_id.setter
    def deployment_id(self, deployment_id):
        """Sets the deployment_id of this BlueprintBlueprintproviderrequestBody.


        :param deployment_id: The deployment_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._deployment_id = deployment_id

    @property
    def deployment_name(self):
        """Gets the deployment_name of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The deployment_name of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._deployment_name

    @deployment_name.setter
    def deployment_name(self, deployment_name):
        """Sets the deployment_name of this BlueprintBlueprintproviderrequestBody.


        :param deployment_name: The deployment_name of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._deployment_name = deployment_name

    @property
    def operation(self):
        """Gets the operation of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The operation of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._operation

    @operation.setter
    def operation(self, operation):
        """Sets the operation of this BlueprintBlueprintproviderrequestBody.


        :param operation: The operation of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._operation = operation

    @property
    def operation_timeout_seconds(self):
        """Gets the operation_timeout_seconds of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The operation_timeout_seconds of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: int
        """
        return self._operation_timeout_seconds

    @operation_timeout_seconds.setter
    def operation_timeout_seconds(self, operation_timeout_seconds):
        """Sets the operation_timeout_seconds of this BlueprintBlueprintproviderrequestBody.


        :param operation_timeout_seconds: The operation_timeout_seconds of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: int
        """

        self._operation_timeout_seconds = operation_timeout_seconds

    @property
    def project_id(self):
        """Gets the project_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The project_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this BlueprintBlueprintproviderrequestBody.


        :param project_id: The project_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    @property
    def request_id(self):
        """Gets the request_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The request_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._request_id

    @request_id.setter
    def request_id(self, request_id):
        """Sets the request_id of this BlueprintBlueprintproviderrequestBody.


        :param request_id: The request_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._request_id = request_id

    @property
    def resource_link(self):
        """Gets the resource_link of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The resource_link of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._resource_link

    @resource_link.setter
    def resource_link(self, resource_link):
        """Sets the resource_link of this BlueprintBlueprintproviderrequestBody.


        :param resource_link: The resource_link of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._resource_link = resource_link

    @property
    def resource_modified_properties(self):
        """Gets the resource_modified_properties of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The resource_modified_properties of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: dict(str, object)
        """
        return self._resource_modified_properties

    @resource_modified_properties.setter
    def resource_modified_properties(self, resource_modified_properties):
        """Sets the resource_modified_properties of this BlueprintBlueprintproviderrequestBody.


        :param resource_modified_properties: The resource_modified_properties of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: dict(str, object)
        """

        self._resource_modified_properties = resource_modified_properties

    @property
    def resource_name(self):
        """Gets the resource_name of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The resource_name of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._resource_name

    @resource_name.setter
    def resource_name(self, resource_name):
        """Sets the resource_name of this BlueprintBlueprintproviderrequestBody.


        :param resource_name: The resource_name of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._resource_name = resource_name

    @property
    def resource_properties(self):
        """Gets the resource_properties of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The resource_properties of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: dict(str, object)
        """
        return self._resource_properties

    @resource_properties.setter
    def resource_properties(self, resource_properties):
        """Sets the resource_properties of this BlueprintBlueprintproviderrequestBody.


        :param resource_properties: The resource_properties of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: dict(str, object)
        """

        self._resource_properties = resource_properties

    @property
    def resource_request_id(self):
        """Gets the resource_request_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The resource_request_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._resource_request_id

    @resource_request_id.setter
    def resource_request_id(self, resource_request_id):
        """Sets the resource_request_id of this BlueprintBlueprintproviderrequestBody.


        :param resource_request_id: The resource_request_id of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._resource_request_id = resource_request_id

    @property
    def resource_type(self):
        """Gets the resource_type of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The resource_type of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: str
        """
        return self._resource_type

    @resource_type.setter
    def resource_type(self, resource_type):
        """Sets the resource_type of this BlueprintBlueprintproviderrequestBody.


        :param resource_type: The resource_type of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: str
        """

        self._resource_type = resource_type

    @property
    def tenant_links(self):
        """Gets the tenant_links of this BlueprintBlueprintproviderrequestBody.  # noqa: E501


        :return: The tenant_links of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :rtype: list[str]
        """
        return self._tenant_links

    @tenant_links.setter
    def tenant_links(self, tenant_links):
        """Sets the tenant_links of this BlueprintBlueprintproviderrequestBody.


        :param tenant_links: The tenant_links of this BlueprintBlueprintproviderrequestBody.  # noqa: E501
        :type: list[str]
        """

        self._tenant_links = tenant_links

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(BlueprintBlueprintproviderrequestBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, BlueprintBlueprintproviderrequestBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
